FUNCTION OPERATOR!=(3)

NAME
boost::logic::operator!= - Compare tribools for inequality.

SYNOPSIS

// In header: <boost/logic/tribool.hpp>
tribool operator!=(tribool x, tribool y);
tribool operator!=(tribool x, bool y);
tribool operator!=(bool x, tribool y);
tribool operator!=(indeterminate_keyword_t, tribool x);
tribool operator!=(tribool x, indeterminate_keyword_t);

DESCRIPTION

Returns:
    the result of comparing two tribool values for inequality, according to the following table:
    != | false | true | indeterminate
    false | false | true | indeterminate
    true | true | false | indeterminate
    indeterminate | indeterminate | indeterminate | indeterminate

Throws:
    Will not throw.